Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80436 - autorun installer fails
Summary: autorun installer fails
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda
Version: phoebe
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-26 11:49 UTC by Johannes Roith
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-27 18:01:22 UTC


Attachments (Terms of Use)

Description Johannes Roith 2002-12-26 11:49:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021014
Phoenix/0.3

Description of problem:
I'm updrading from RedHat 8.0. When I run setup (no boot setup, I execute
autorun) I get the following error, when the setup checks the packages:

Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/InstallDruid.py", line 529, in ?
    druid.run ()
  File "/usr/share/redhat-config-packages/InstallDruid.py", line 464, in run
    self.do_system_info_state ()
  File "/usr/share/redhat-config-packages/InstallDruid.py", line 350, in
do_system_info_state
    self.comps = self.method.readCompsViaMethod(hdlist, self.simple_progress.update)
  File "/usr/share/redhat-config-packages/method.py", line 488, in
readCompsViaMethod
    update_method = update_method)
  File "/usr/share/redhat-config-packages/comps.py", line 387, in __init__
    self.readCompsFile(file, self.packages)
  File "/usr/share/redhat-config-packages/comps.py", line 466, in readCompsFile
    self.compsxml = rhpl.comps.Comps(file)
  File "/usr/lib/python2.2/site-packages/rhpl/comps.py", line 297, in __init__
    self.load (filename)
  File "/usr/lib/python2.2/site-packages/rhpl/comps.py", line 304, in load
    doc = libxml2.parseMemory(file, len(file))
  File "/usr/lib/python2.2/site-packages/libxml2.py", line 716, in parseMemory
    ret = libxml2mod.xmlParseMemory(buffer, size)
TypeError: xmlParseMemory() argument 1 must be string without null bytes or
None, not str


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Execute autorun

Actual Results:  Installation aborts.

Expected Results:  Setup should continue.

Additional info:

Comment 1 Michael Fulbright 2002-12-27 16:45:22 UTC
Did you test your CDs?

Comment 2 Michael Fulbright 2003-01-27 18:01:22 UTC
Closing due to inactivity - please reopen if you have additional information to
add to the report.


Note You need to log in before you can comment on or make changes to this bug.